Gnome Software bug: "failed to parse public key..."

Hi, there are some problems to install from “Fedora Linux (RPM)” in Software


Error:

failed to parse public key for /var/cache/PackageKit/36/metadata/google-cloud-cli-36-x86_64/yum-key.gpg

Also in Updates tab it showes old date.

Note: it works fine using dnf tool from terminal, to upgrade and install applications.

The error message shows that google-cloud-cli is the problem. That’s a dnf repository, you can see it in dnf repolist. You probably added it when installing GCP CLI. I ran into a similar issue and solved it by disabling the repo with dnf config-manager --set-disabled ${repo}. You can also try moving the file elsewhere from /etc/yum.repos.d. Means you can’t get updates from that repo though

1 Like

I have disabled google-cloud-cli repo. But it not helps for all not-flathub applications.



Hmm, try also removing/renaming (ie change its extension to .bak) the file under /etc/yum.repos.d and then rebooting and checking updates again. That worked for me at least, if that doesn’t work then I can’t help further

After disabling the broken repository, you might need to refresh the PackageKit cache, perhaps?

pkcon refresh force
1 Like

Not sure what exactly helps, but I have renamed to google-cloud-sdk.repo.DEPRECATE, after that did

pkcon refresh force

and

sudo dnf upgrade --refresh

And now I can install my favorite clementine :innocent:

I had the same problem, pkcon refresh force worked.